Skip to main content
POST
https://checkout.dintero.com/v1/
/
accounts
/
{oid}
/
auth
/
token
Get Token
curl --request POST \
  --url https://checkout.dintero.com/v1/accounts/{oid}/auth/token \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "audience": "https://api.dintero.com/v1/accounts/P00000000"
}
'
{
  "access_token": "eyJhbGci...t7P4",
  "token_type": "Bearer",
  "expires_in": 86400,
  "refresh_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization by using the Basic schema with client_id and client_secret as username/password

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Body

application/json

Client token credential

audience
string
required

The unique identifier of the target API you want to access. The audience must be a grant associated with the client

Example:

"https://api.dintero.com/v1/accounts/P00000000"

Response

Success

access_token
string
required

A JWT access token

Example:

"eyJhbGci...t7P4"

token_type
enum<string>
required
Available options:
Bearer
expires_in
integer
required

The lifetime in seconds of the access token. For example, the value "3600" denotes that the access token will expire in one hour from the time the response was generated.

Example:

86400

refresh_token
string

Token that can be used to request new tokens when the existing Access Token expire.

You can only get a Refresh Token if the Access Token used in the request has scope:

  • create:accounts:auth:refresh_token

and the grant-type is one of:

  • authorization_code
  • password

NOTE:

  • A Single-Page Application should not ever receive a Refresh Token, this information is sensitive and should not be exposed client-side in a browser.
  • Refresh token must be stored securely by an application since they allow a user to remain authenticated essentially forever.